#!/bin/bash

. _lib.sh

t() {
    for i in norm boost; do
	ssh root@${SSH_CONNECTION%% *} 'find -L /usr/src/linux -type f -exec cat "{}" ";"' > /dev/null &
	PID_LOAD=$!
	[ $i == "boost" ] && boost_irq_prio 90
	cpufreq-set -f 300MHz
	PID_S=`vca_canping -s 1 -b -R FF:$RTPRIO -d $CAN1`
	vca_canping -m 1 -R FF:$RTPRIO -v -g $DRIVER-$i -t 1 -d $CAN0 -w 2 -c 10000
	cpufreq-set -f 2400MHz
	kill $PID_S
	kill $PID_LOAD
    done
}



PLOT_CMD='
set title "Round-trip time with receive ethenet load (`uname -r`, CPU\\@300 MHz)"
set logscale y
set grid
set xlabel "Time [{/Symbol m}s]"
set ylabel "Latency profile [messages]"
plot [0:] "socketcan-norm-1000.dat" with lp title "Socketcan",\
          "lincan-norm-1000.dat" with lp title "Lincan",\
          "socketcan-boost-1000.dat" with lp title "Socketcan boosted IRQ prio",\
          "lincan-boost-1000.dat" with lp title "Lincan boosted IRQ prio"
'

